-- Filename:     half_adder.vhd
-- Filetype:     VHDL code (dataflow)
-- Date:         9 feb 2014
-- Update:       -
-- Description:  An example of an half adder
-- Author:       J. op den Brouw
-- State:        demo
-- Error:        -
-- Version:      1.0
-- Copyright:    (c)2014, De Haagse Hogeschool
--
-- This is an example of an half adder using an
-- EXOR and a AND port.
--
-- We need std_logic et al.

library ieee;
use ieee.std_logic_1164.all;

entity half_adder is
    port( a, b: in bit;
          sum, carry: out bit );
end entity half_adder;

architecture logic of half_adder is
begin
    sum   <= a xor b after 5 ns;
    carry <= a and b after 5 ns;
end architecture logic;
